﻿using System.Device.Location;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Maps.Controls;
using System.Windows.Media;
using System.Linq;

namespace MapPolygonBug
{
  public partial class MainPage : PhoneApplicationPage
  {
    // Constructor
    public MainPage()
    {
      InitializeComponent();

      var line1 = new MapPolyline();
      line1.Path.Add(new GeoCoordinate(52.154346, 5.36974));
      line1.Path.Add(new GeoCoordinate(52.154346, 5.411282));
      line1.StrokeColor = Colors.Red;
      line1.StrokeThickness = 10;
      Map.MapElements.Add(line1);

      var line2 = new MapPolyline();
      line2.Path.Add(new GeoCoordinate(52.159928, 5.36974));
      line2.Path.Add(new GeoCoordinate(52.159928, 5.411282));
      line2.Path.Add(new GeoCoordinate(52.178928, 5.431282));
      line2.StrokeColor = Colors.Orange;
      line2.StrokeThickness = 10;
      Map.MapElements.Add(line2);

      var line3 = new MapPolyline();
      line3.Path.Add(new GeoCoordinate(52.165509, 5.36974));
      line3.Path.Add(new GeoCoordinate(52.165509, 5.411282));
      line3.Path.Add(new GeoCoordinate(52.165509, 5.411282));
      line3.StrokeColor = Colors.Green;
      line3.StrokeThickness = 10;
      Map.MapElements.Add(line3);
    }

    private void Map_Tap(object sender, System.Windows.Input.GestureEventArgs e)
    {
      var selected = Map.GetMapElementsAt(e.GetPosition(Map)).FirstOrDefault() as MapPolyline;
      if (selected != null)
      {
        TitleText.Foreground = new SolidColorBrush( selected.StrokeColor);
        MessageBox.Show("MapPolyline selected");
      }
    }
  }
}